<?php

// ini_set('display_errors',1);

session_start();
date_default_timezone_set('America/Lima');
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");

require_once ("cDevolucioncliente.php");
$oDevolucioncliente = new cDevolucioncliente();

require_once("../stock/cStock.php");
$oStock = new cStock();

require_once("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();

require_once ("../egreso/cEgreso.php");
$oEgreso = new cEgreso();
require_once ("../documento/cDocumento.php");
$oDocumento= new cDocumento();
require_once ("../talonario/cTalonario.php");
$oTalonario= new cTalonario();

require_once("../guiaremision/cGuiaremision.php");
$oGuiaremision = new cGuiaremision();

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();

require_once("../kardex/cKardex.php");
$oKardex = new cKardex();

require_once("../almacen/cAlmacen.php");
$oAlmacen = new cAlmacen();
require_once("../venta/cVentapago.php");
$oVentapago = new cVentapago();

require_once("../caja/cCaja.php");
$oCaja = new cCaja();

require_once ("../venta/cVenta.php");
$oVenta = new cVenta();

require_once ("../cuentacobrar/cCuentacobrar.php");
$oCuentacobrar = new cCuentacobrar();


require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();

require_once("../formatos/formato.php");

if($_POST['action']=="insertar")
{	

		$dts1=$oAlmacen->mostrarAlmCajEmp($_POST['txt_dev_punvenid']);
		$dt1 = mysqli_fetch_array($dts1);
 		$emp=$dt1['tb_empresa_id'];
 		$punven_id=$dt1['tb_puntoventa_id'];
 		$piso_id=$dt1['tb_piso_id'];
 		$almid = $dt1['tb_almacen_id'];
		mysqli_free_result($dts1);
	
	$dtsg = $oGuiaremision->mostrarUnoxVenta($_POST['txt_dev_venid']);
	$dtg = mysqli_fetch_array($dtsg);
	$guiaid = $dtg['tb_guiaremision_id'];
	$guianumdoc = $dtg['tb_guiaremision_numdoc'];
	$guiapar = $dtg['tb_guiaremision_par'];
	$guialle = $dtg['tb_guiaremision_lleg'];
	$rep = $dtg['tb_empresa_rep'];
	
	$monid = $_POST['hdd_mon_id'];
	
	
		$tipdocrel = substr($_POST['hdd_docrel'],0,1);
		
		if($tipdocrel=='T'){
			
			$kar_des='DEVOLUCION | TICKET INTERNO';
			$mod_id = 18;
			$idm=$_POST['txt_dev_venid'];
			$docrel_id = $guiaid;
			$docrel_numdoc = $guianumdoc;
			/* $mov = 13;
			
			//// GUIAAAA
		
		$dts= $oDocumento->mostrarUno('24');
		$dt = mysqli_fetch_array($dts);
		$doc_nom=$dt['tb_documento_nom'];
		$doc_abr=$dt['tb_documento_abr'];
		mysqli_free_result($dts);
		
		
	if($doc_abr=='T'){
		$ser = 'T00'.$_SESSION['usuario_ser'];
	}
		
		$tal_idg='';
		$tal_serg='';
		$tal_fing='';
		$tal_numg='';
		
		$dtsct= $oTalonario->correlativo($emp,'24',$ser);
		$dtct = mysqli_fetch_array($dtsct);
			$tal_idg=$dtct['tb_talonario_id'];
			$tal_serg=$dtct['tb_talonario_ser'];
			$tal_fing=$dtct['tb_talonario_fin'];
			$tal_numg=$dtct['tb_talonario_num'];
		mysqli_free_result($dtsct);
		
		$numerog=$tal_numg;
		$largog=strlen($tal_fing);
		$numerog=str_pad($numerog,$largog, "0", STR_PAD_LEFT);
		$numdocg=$tal_serg.'-'.$numerog;
			
		//insertamos guia
		$rs=$oGuiaremision->insertar(
			fecha_mysql($_POST['txt_dev_fec']),
			'24',
			$numdocg,
			$_POST['hdd_cliid'],
			'',
			'',
			'',
			'',
			$docrel_id, /// CUANDO ES NV LA GUIA HACE REFERENCIA A LA GUIA.
			$docrel_numdoc,
			$mov,
			'',
			'',
			$guialle,
			$guiapar,
			'',
			$_SESSION['usuario_id'],
			$emp,
			$rep
		);
	
	//ultima venta
		$dts=$oGuiaremision->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$guiaidh=$dt['id'];
		mysqli_free_result($dts);
		
		$data['dev_guiaid']=$guiaidh;
		
		$estado='1';
		if($tal_numg==$tal_fing)
		{
			$estado='2';
		}
		$numerog=$tal_numg+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_idg, $numerog, $estado);
 */
	$det = 'DEVOLUCION DE VENTA '.$_POST['hdd_docrel'];
	$modide = $guiaidh;
	$modidenumdoc = $numdocg;
	
		}
		else
		{
			
			////CUANDO ES BOLETA U FACTURRAAAAA
			
			if($tipdocrel=='F'){
				$ser = 'F00'.$_SESSION['usuario_ser'];
				$docnc = '13';
			}else if($tipdocrel=='B'){
				$ser = 'B00'.$_SESSION['usuario_ser'];
				$docnc = '30';
			}
	
			
			$kar_des='DEVOLUCION';
			$mod_id = 7;
			
			$docrel_id = $_POST['txt_dev_venid'];
			
			/* $docabr_mod =substr($_POST['hdd_docrel'],0,1);
			$tal_mod =substr($_POST['hdd_docrel'],0,4); */

		//echo 'ingreso--';

		//echo $punven_id.'--'.$docnc.'--'.$ser;
			
			$dts = $oTalonario->correlativo($punven_id,$docnc,$ser);
			$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
			mysqli_free_result($dts);
			
			/* $sernota = substr($tal_ser,2,4);
			
			$numero=$tal_num;
			$largo=strlen($tal_fin);
			$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
			$numdoc=$docabr_mod.'0'.$sernota.'-'.$numero; */
			
			$numero=$tal_num;
			$largo=strlen($tal_fin);
			$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
			$numdoc=$tal_ser.'-'.$numero;
			
			
			//echo '....'.$numdoc;
			
			$mot = "DEVOLUCION POR ITEM";
			
			$oNotacredito->insertar( 
					fecha_mysql($_POST['txt_dev_fec']),
					$docnc,
					$numdoc,
					$_SESSION['usuario_id'],
					$docrel_id,
					$mot,
					'07',
					intval(''),
					moneda_mysql($_POST['txt_dev_tot']),
					'',
					'',
					fecha_mysql($_POST['txt_notcre_fec']),
					'0',
					''
			);
			
		$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);	
			
		$dts=$oNotacredito->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$notcre_id=$dt['id'];
		mysqli_free_result($dts);	
		
		$idm=$notcre_id;
		$data['dev_notcreid']=$notcre_id;
		
		$det = 'DEVOLUCION : NOTA DE CREDITO '.$numdoc;
		$modide = $notcre_id;
		$modidenumdoc = $numdoc;
		
		}
		
		
		
		
		
		$dts= $oDocumento->mostrarUno(25);
		$dt = mysqli_fetch_array($dts);
		$doc_nom=$dt['tb_documento_nom'];
		$doc_abr=$dt['tb_documento_abr'];
		mysqli_free_result($dts);
				
		if($doc_abr=='T'){
		$ser = 'T00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='F'){
		$ser = 'F00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='B'){
		$ser = 'B00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='GR'){
		$ser = 'GR00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='NC'){
		$ser = 'NC00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='P'){
		$ser = 'P00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='TR'){
		$ser = 'TR00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='DV'){
		$ser = 'DV00'.$_SESSION['usuario_ser'];
		}

		$dts= $oTalonario->correlativo($_SESSION['puntoventa_id'],25,$ser);
		$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
		mysqli_free_result($dts);

		$numero=$tal_num;
		$largo=strlen($tal_fin);
		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
		$numdoc=$tal_ser.'-'.$numero;
	
		
		$oDevolucioncliente->insertar(
		$_SESSION['usuario_id'],
		fecha_mysql($_POST['txt_dev_fec']),
		$numdoc,
		$_POST['txt_dev_tranom'],
		$_POST['txt_dev_tracom'],
		$_POST['txt_dev_obs1'],
		$_POST['txt_dev_venid'],
		$_POST['hdd_docrel'],
		moneda_mysql($modide),
		$modidenumdoc,
		moneda_mysql($_POST['txt_dev_tot']),
		'0',
		''
		);
	
		$dts=$oDevolucioncliente->ultimoInsert();
 		$dt = mysqli_fetch_array($dts);
 		$dev_id=$dt['id'];
 		mysqli_free_result($dts);
		
		$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);
				
		
		if($tipdocrel=='T'){
			$idm = $dev_id;
		}
		
		
		$docidrel = $_POST['txt_dev_venid'];
		
		$oKardex->insertar(		
			fecha_mysql($_POST['txt_dev_fec']),			
			$kar_des,
			$mod_id,
			$idm,
			$_SESSION['usuario_id'],
			moneda_mysql($_POST['hdd_emp_id']),
			$docidrel			
		);

		//ultimo kardex
		$dts=$oKardex->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$kar_id=$dt['id'];
		mysqli_free_result($dts);
		
		$cuenta_id=3;
		$doc_id='25';
		//$numdoc='D';
		//$mod_id = 4;
		
		$dtsc=$oCaja->filtrar('1',$monid,$punven_id);
		$dtc = mysqli_fetch_array($dtsc);
 		$cajid = $dtc['tb_caja_id'];
		mysqli_free_result($dtsc);
		
		$est=1;
		
		$dtsvp = $oVentapago->filtrar_devolucion($_POST['txt_dev_venid']);
		$dtvp = mysqli_fetch_array($dtsvp);
		$monto = $dtvp['tb_ventapago_mon'];
		$venpag_id = $dtvp['venpagid'];
		$vping = $dtvp['tb_ventapagoingresos_id'];
		
			$mod_id=3;
			$est1=1;
			$est2=2;
				
				$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$vping,$est1,$est2);
				$num_rows3= mysqli_num_rows($dts3);
				while($dt3 = mysqli_fetch_array($dts3))
				{
					$abonos+= $dt3['tb_ingreso_imp'];
				} 
				mysqli_free_result($dts3);
				
		$saldo = ($monto - $abonos);
			
		$saldo = $saldo;	
			
		//echo $saldo;
		
		$reem = $saldo - $_POST['txt_dev_tot'];
		
		//echo $saldo.' - '.$_POST['txt_dev_tot'];
		
	if($saldo >= $_POST['txt_dev_tot'])
	{
		/// si el saldo es mayor a la devolucion ::: se genera ingresos como devoluciones
			
		if($_POST['hdd_venrel']>0){
		
		$dts= $oVentapago->mostrarUno($_POST['hdd_venrel']);
		$dt = mysqli_fetch_array($dts);
		$venpagrel_id =$dt['tb_ventapago_id'];
		mysqli_free_result($dts);
		
		$dts1r = $oVentapago->ver_ventapagoingreso($venpagrel_id);
		$nowrowrel = mysqli_num_rows($dts1r);
		
		}
		
		
		$dts1 = $oVentapago->ver_ventapagoingreso($venpag_id);
		$nowrow = mysqli_num_rows($dts1);
			
		 if($nowrow>0){
				$dt = mysqli_fetch_array($dts1);
				$venpagiing_id = $dt['tb_ventapagoingresos_id']; 
			}else{
				
				if($nowrowrel>0){
					$dtr = mysqli_fetch_array($dts1r);
					$venpagiing_id = $dtr['tb_ventapagoingresos_id'];	
				}else{
				
				$rs1=$oVentapago->insertar_ventapago_ingreso(
				fecha_mysql($_POST['txt_dev_fec'])
				);
				
				$dtsvpi=$oVentapago->ultimoInsertVentaPagoIngreso();
				$dtvpi = mysqli_fetch_array($dtsvpi);
				$venpagiing_id=$dtvpi['id'];
				mysqli_free_result($dtsvpi);
				
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpag_id);
				
				if($venpagrel_id>0){
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpagrel_id);
				}
				
				}
			
			}	 
			
			
		$cuenta_id	= '15';		
		$doc_id="";
		//$numdoc="";
		$mod_id = 3;
		$modide = $venpagiing_id;
		$ing_det= $_POST['txt_ing_det'];
		$est=1;
			
		$oIngreso->insertar(
			$_SESSION['usuario_id'],
			$_SESSION['usuario_id'],
			fecha_mysql($_POST['txt_dev_fec']),
			fecha_mysql($_POST['txt_dev_fec']),
			moneda_mysql($doc_id),
			$numdoc,
			$det,
			moneda_mysql($_POST['txt_dev_tot']),
			$est,
			$cuenta_id,
			moneda_mysql($subcue_id),
			$_POST['hdd_cliid'],
			$cajid,
			$mod_id,
			$modide,			
			'1',
			'1',
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			''
		);
			
		$oEgreso->insertar(
			$_SESSION['usuario_id'],
			$_SESSION['usuario_id'],
			fecha_mysql($_POST['txt_dev_fec']),
			fecha_mysql($_POST['txt_dev_fec']),
			intval($doc_id),
			$numdoc,
			$det,
			moneda_mysql($_POST['txt_dev_tot']),
			$est,
			$cuenta_id,
			intval($subcue_id),
			$_POST['hdd_cliid'],
			$cajid,
			20,
			$modide,
			'1',
			'1',
			'0',
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			moneda_mysql(abs($_POST['txt_dev_tot'])),
			moneda_mysql(abs($_POST['txt_dev_tot'])),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			fecha_mysql($_POST['txt_dev_fec']),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval('')
			
			
			);
			
		
			$data['estreem'] = '0';
		}
		else if($saldo<$_POST['txt_dev_tot'])
		{
			
			if($saldo==0){
			/// SE GENERAN SOLO EGRESOS COMO DEVOLUCIONES
			$reem = $_POST['txt_dev_tot'];
			
		$cuenta_id = '13';
		$modid_eg = 20;			
		$oEgreso->insertar(
			$_SESSION['usuario_id'],
			$_SESSION['usuario_id'],
			fecha_mysql($_POST['txt_dev_fec']),
			fecha_mysql($_POST['txt_dev_fec']),
			intval($doc_id),
			$numdoc,
			$det,
			moneda_mysql(abs($reem)),
			$est,
			$cuenta_id,
			intval($subcue_id),
			$_POST['hdd_cliid'],
			$cajid,
			$modid_eg,
			$vping,
			'1',
			'1',
			'0',
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			moneda_mysql(abs($reem)),
			moneda_mysql(abs($reem)),
				intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			fecha_mysql($_POST['txt_dev_fec']),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval('')
			
			
		);
	
			
		$data['estreem'] = '1';	
		$data['monreem'] ='REEMBOLSO DE '.formato_money(abs($reem));	
		}else{
			
			/// se genera un ingreso como devoluciones y egreso como devoluciones
			$reem = $_POST['txt_dev_tot']-$saldo;	
			$reeming =$saldo;	
			
			////INGRESOO
		
		if($_POST['hdd_venrel']>0){
		
		$dts= $oVentapago->mostrarUno($_POST['hdd_venrel']);
		$dt = mysqli_fetch_array($dts);
		$venpagrel_id =$dt['tb_ventapago_id'];
		mysqli_free_result($dts);
		
		$dts1r = $oVentapago->ver_ventapagoingreso($venpagrel_id);
		$nowrowrel = mysqli_num_rows($dts1r);
		
		}
		
		
			$dts1 = $oVentapago->ver_ventapagoingreso($venpag_id);
			$nowrow = mysqli_num_rows($dts1);
			
			if($nowrow>0){
				$dt = mysqli_fetch_array($dts1);
				$venpagiing_id = $dt['tb_ventapagoingresos_id']; 
			}else{
				
				if($nowrowrel>0){
					$dtr = mysqli_fetch_array($dts1r);
					$venpagiing_id = $dtr['tb_ventapagoingresos_id'];	
				}else{
				
				$rs1=$oVentapago->insertar_ventapago_ingreso(
				fecha_mysql($_POST['txt_dev_fec'])
				);
				
				$dtsvpi=$oVentapago->ultimoInsertVentaPagoIngreso();
				$dtvpi = mysqli_fetch_array($dtsvpi);
				$venpagiing_id=$dtvpi['id'];
				mysqli_free_result($dtsvpi);
				
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpag_id);
				
				if($venpagrel_id>0){
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpagrel_id);
				}
				
				}
			
			}	
		
		
		$cuenta_id	= '15';		
		$doc_id="";
		//$numdoc="";
		$mod_id = 3;
		$modide = $venpagiing_id;
		$est=1;
			
			$oIngreso->insertar(
			$_SESSION['usuario_id'],
			$_SESSION['usuario_id'],
			fecha_mysql($_POST['txt_dev_fec']),
			fecha_mysql($_POST['txt_dev_fec']),
			moneda_mysql($doc_id),
			$numdoc,
			$det,
			moneda_mysql($saldo),
			$est,
			$cuenta_id,
			moneda_mysql($subcue_id),
			$_POST['hdd_cliid'],
			$cajid,
			$mod_id,
			$modide,
			'1',
			'1',
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			''
		);
			
		$oEgreso->insertar(
				$_SESSION['usuario_id'],
				$_SESSION['usuario_id'],
				fecha_mysql($_POST['txt_dev_fec']),
				fecha_mysql($_POST['txt_dev_fec']),
				intval($doc_id),
				$numdoc,
				$det,
				moneda_mysql($saldo),
				$est,
				$cuenta_id,
				intval($subcue_id),
				$_POST['hdd_cliid'],
				$cajid,
				20,
				$modide,
				'1',
				'1',
				'0',
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
				moneda_mysql(abs($saldo)),
				moneda_mysql(abs($saldo)),
				intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			fecha_mysql($_POST['txt_dev_fec']),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval('')
			
				
			);
	
			
		//// EGRESOOOS 

		$cuenta_id = '13';
		$modid_eg = 20;			
			$oEgreso->insertar(
				$_SESSION['usuario_id'],
				$_SESSION['usuario_id'],
				fecha_mysql($_POST['txt_dev_fec']),
				fecha_mysql($_POST['txt_dev_fec']),
				intval($doc_id),
				$numdoc,
				$det,
				moneda_mysql(abs($reem)),
				$est,
				$cuenta_id,
				intval($subcue_id),
				$_POST['hdd_cliid'],
				$cajid,
				$modid_eg,
				$vping,
				'1',
				'1',
				'0',
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
				moneda_mysql(abs($reem)),
				moneda_mysql(abs($reem)),
					intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			fecha_mysql($_POST['txt_dev_fec']),
			intval(''),
			intval(''),
			intval(''),
			intval(''),
			intval('')
			
				
			);
			
		$data['estreem'] ='1';
		$data['monreem'] ='REEMBOLSO DE '.formato_money(abs($reem));
		
		}	
		
		}
	
	
	///////DEEEEEETAAAAAALLLEEEEESSSSS
	
	foreach($_SESSION['devol_car'] as $indice=>$cantidad)
	{
		
		$catcod=$_SESSION['devol_catcod'][$indice];
		
		$oDevolucioncliente->insertardetalle(
		$dev_id,
		$catcod,
		$_SESSION['devol_catid'][$indice],
		$_SESSION['devol_marid'][$indice],
		$cantidad,
		$_SESSION['devol_preuni'][$indice]
		);
		
		
		/* if($tipdocrel=='T'){
		$oGuiaremision->insertar_detalle(
				$cantidad,
				$catcod,
				$_SESSION['devol_catid'][$indice],
				$_SESSION['devol_marid'][$indice],
				'',
				$_SESSION['devol_valuni'][$indice]*1.18,
				$guiaidh
			);
		} */
		
		
		
		$dtscat=$oCatalogo->mostrarUno($_SESSION['devol_catid'][$indice],$_SESSION['devol_marid'][$indice]);
		$dtcat = mysqli_fetch_array($dtscat);
			$pre_id	= $dtcat['tb_presentacion_id'];
			$cat_fac = $dtcat['tb_catalogo_fac'];
		mysqli_free_result($dtscat);
		
		$dts=$oStock->stock_por_presentacion($pre_id,$_SESSION['devol_marid'][$indice],$almid);
		$dt = mysqli_fetch_array($dts);
			$sto_id		=$dt['tb_stock_id'];
			$sto_num	=$dt['tb_stock_num'];
		mysqli_free_result($dts);
			
		$stock_nuevo = 	$sto_num + $cantidad;
			
		$oStock->modificar($sto_id,$stock_nuevo);
		
		if($tipdocrel=='T'){
									
		}else{
			
			$oNotacredito->insertardetalle( 
					$catcod,
					$_SESSION['devol_catid'][$indice],
					$_SESSION['devol_marid'][$indice],
					moneda_mysql($_SESSION['devol_nom'][$indice]),
					$cantidad,			
					moneda_mysql($_SESSION['devol_icbper'][$indice]),
					moneda_mysql($_SESSION['devol_preuni'][$indice]),
					$notcre_id
			);
			
		}
		
		$kar_tipo = '1';
			
		$oKardex->insertar_detalle(
				$_SESSION['devol_catid'][$indice],
				$_SESSION['devol_marid'][$indice],
				$kar_tipo,
				$cantidad,
				moneda_mysql($_SESSION['devol_preuni'][$indice]),
				abs($cantidad),
				$kar_id,
				$almid
		);
		
		
		}
	
		$saldo = 0;
		$monto = 0;
		$abonos = 0;
	
		$dtsvp = $oVentapago->filtrar_devolucion($_POST['txt_dev_venid']);
		$dtvp = mysqli_fetch_array($dtsvp);
		$monto = $dtvp['tb_ventapago_mon'];
		$venpag_id = $dtvp['venpagid'];
		$vping = $dtvp['tb_ventapagoingresos_id'];
		
			$mod_id=3;
			$est1=1;
			$est2=2;
				
				$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$vping,$est1,$est2);
				$num_rows3= mysqli_num_rows($dts3);
				while($dt3 = mysqli_fetch_array($dts3))
				{
					$abonos+= $dt3['tb_ingreso_imp'];
				} 
				mysqli_free_result($dts3);
				
		$saldo = ($monto - $abonos);	
	
		//echo $saldo;
	
		if($saldo<=0)
		{
			$oCuentacobrar->editar_campo('est','1',$venpag_id);	
			$oCuentacobrar->editar_campo('est','1',$venpagrel_id);
			$oVenta->modificar_campo($_POST['txt_dev_venid'],'est','2');			
			$msjadd = " .:. Deuda Cancelada .:.";		
		}
		
		$data['venid']=$_POST['txt_dev_venid'];
		$data['dev_msj']='Registrado correctamente'.$msjadd;
		echo json_encode($data);
}

?>











